public class HT_PR7_4
{
public static void main(String arg[])
{   double Ts=128.4+273.15;
    double Tinf=26.2+273.15;
    double Tf=Tinf;
    Gas g=new Gas("air");
    double P=1.01325;//bar
    double ro=g.M/g.v(Tf,P);
    double nu=g.vis(Tf)/ro;
    double k=g.k(Tf);
    double Pr=g.Prandtl(Tf);
    double V=10.0;//m/s
    double D=12.7e-3;//m
    double L=94e-3;//m
    double Re=V*D/nu;
    double Nu=0.193*Math.pow(Re,0.618)*Math.pow(Pr,(1/3.0));
    double h=Nu*k/D;
    double A=Math.PI*D*L;
    double Q=h*A*(Ts-Tinf);
    System.out.println("Q="+Q+"h="+h+"Nu="+Nu+"Re="+Re+"Pr="+Pr);
}
}